import 'package:get/get.dart';
import 'package:kaer_with_panels/app/modules/kr_home/controllers/kr_home_controller.dart';
import 'package:kaer_with_panels/app/modules/kr_invite/controllers/kr_invite_controller.dart';
import 'package:kaer_with_panels/app/modules/kr_login/controllers/kr_login_controller.dart';
import 'package:kaer_with_panels/app/modules/kr_statistics/controllers/kr_statistics_controller.dart';
import 'package:kaer_with_panels/app/modules/kr_user_info/controllers/kr_user_info_controller.dart';

import '../controllers/kr_main_controller.dart';

class KRMainBinding extends Bindings {
  @override
  void dependencies() {
    Get.lazyPut<KRMainController>(
      () => KRMainController(),
    );

    Get.lazyPut(() => KRHomeController());
    Get.lazyPut(() => KRLoginController());

    Get.lazyPut(() => KRInviteController());
    Get.lazyPut(() => KRUserInfoController());
    Get.lazyPut(() => KRStatisticsController());
  }
}
